{% extends "shared/main_layout.html" %}
{% block title %} Resultados {% endblock %}
{% block content %}
    <div class="title-flex">
        <img class="image-logo" style="margin-left: 200px" alt="logo bit2bit"
             src="http://bit2bitamericas.com/wp-content/uploads/2017/09/LOGO-SVG-PÁGINA-WEB.svg" height="40px">
        <h1 class="text-center">
            {{ event_name }}
        </h1>
        <img class="image-logo" style="margin-right: 250px" height="40px" alt="logo twitter"
             src="https://upload.wikimedia.org/wikipedia/en/thumb/9/9f/Twitter_bird_logo_2012.svg/220px-Twitter_bird_logo_2012.svg.png">

    </div>
    <div class="raffle-container">
        <div class="selector-div">
            <div></div>
            <div></div>
        </div>
        <div class="raffleMachine">
            <div id="casino1">
                {% for a in list %}
                    <div class="container-slot">
                        <div class="slot" data-name="{{ a.userName }}">
                            <div class="wideline" style="background-color: #{{ a.color }}"></div>
                            <div class="image-container"><img class="avatar" alt="avatar"
                                                              style="background-color: #{{ a.color }}"
                                                              src="{{ a.image }}"></div>
                            <div class="text-container">
                                <div class="twitter-name">{{ a.userDisplay }}
                                    <span class="twitter-user-name">{{ a.userName }}</span>
                                </div>
                                <div class="twitter-text">{{ a.message }}</div>
                            </div>
                        </div>
                    </div>
                {% endfor %}
            </div>
        </div>
        <div class="group-machine-buttons" role="group">
            <input id="slotMachineButtonShuffle" type="button" class="btn btn-primary machine-button" value="Sortear"/>
        </div>

    </div>
    <script>

        $(document).ready(function () {
            var machine = $("#casino1").slotMachine({
                active: 1,
                direction: 'up',
                delay: 1200
            });
            var whenStopShuffle = function () {
                const selected = $(".slot")[machine.active + 3];
                $(selected).addClass("winner");
                const newCookieValue = $.getCookie($.cookieWinners) + "," + $(selected).find(".twitter-user-name").html();
                $.setCookie($.cookieWinners, newCookieValue);
                $("#slotMachineButtonShuffle").show();
            };
            machine.setRandomize(function () {
                const itemsSize = $(".slot").length - 3;
                return Math.floor((Math.random() * itemsSize));
            });
            $("#slotMachineButtonShuffle").click(function () {
                $(".winner").parent().remove();
                $("#slotMachineButtonShuffle").hide();
                machine.shuffle(7, whenStopShuffle);
            });

            $("#slotMachineButtonStop").click(function () {
                machine.stop();
            });
        });


    </script>

{% endblock %}